# scripts/deployment/deploy-parallel-consolidated.sh

**Name**: `deploy-parallel-consolidated.sh`

Unified parallel deployment runner for infra/k8s/besu/contracts/verify


**Uses common library**: yes

**Has --help**: yes

## Usage
`${SCRIPT_NAME} --resource {infrastructure|kubernetes|besu|contracts|verify} [--parallelism N] [--dry-run] [--help]`

### Options
```
--resource <name>   Which stack to deploy
--parallelism N    Parallel jobs (optional)
--dry-run          Print actions without executing
--help             Show help
```

## Examples
```bash
${SCRIPT_NAME} --resource {infrastructure|kubernetes|besu|contracts|verify} [--parallelism N] [--dry-run] [--help]
```
